ActionErrors (Struts Core 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Class ActionErrors

    java.lang.Object
      org.apache.struts.action.ActionMessages
          org.apache.struts.action.ActionErrors

All Implemented Interfaces:
  Serializable

    public class ActionErrors

extends ActionMessages
implements Serializable

A class that encapsulates the error messages being reported by the `validate()` method of an `ActionForm`. Validation errors are either global to the entire `ActionForm` bean they are associated with, or they are specific to a particular bean property (and, therefore, a particular input field on the corresponding form).

Each individual error is described by an `ActionMessage` object, which contains a message key (to be looked up in an appropriate message resources database), and up to four placeholder arguments used for parametric substitution in the resulting message.

IMPLEMENTATION NOTE - It is assumed that these objects are created and manipulated only within the context of a single thread. Therefore, no synchronization is required for access to internal collections.

Version:
  $Rev: 471754 $ $Date: 2005-08-06 18:03:30 -0400 (Sat, 06 Aug 2005) $
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.struts.action.ActionMessages
`ActionMessages.ActionMessageItem`

Field Summary

Fields inherited from class org.apache.struts.action.ActionMessages
`accessed, GLOBAL_MESSAGE, iCount, messages`

Constructor Summary
`ActionErrors()` Create an empty `ActionErrors` object.
`ActionErrors(ActionErrors messages)` Create an `ActionErrors` object initialized with the given messages.

Method Summary

Methods inherited from class org.apache.struts.action.ActionMessages
`add, add, clear, get, get, isAccessed, isEmpty, properties, size, size, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActionErrors

    public ActionErrors()

  Create an empty `ActionErrors` object.

### ActionErrors

    public ActionErrors(ActionErrors messages)

  Create an `ActionErrors` object initialized with the given messages.

  Parameters:
    `messages` - The messages to be initially added to this object. This parameter can be `null`.
  Since:
    Struts 1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.